<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="colormap">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>colormap</refname>
    <refpurpose> using colormaps</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para>
    A colormap <literal>cmap</literal> is defined by a m x 3 matrix. m is the number of colors.
    Color number i is given as a 3-uple <literal>cmap(i,1)</literal>, <literal>cmap(i,2)</literal> 
    <literal>cmap(i,3)</literal>
    corresponding respectively to red, green and blue intensity between
    0 and 1.</para>
    <para>
    At the beginning, 32 colors are defined in the colormap. You can
    change the colormap of a figure by using <literal>set(f,"color_map",cmap)</literal>
    where <literal>f</literal> is the handle of the figure.</para>
    <para>
    Each color in the colormap has an id you have to use to specify color
    in most plot functions. To see the ids, use function <link linkend="getcolor">getcolor</link>.</para>
    <para>
    The functions <link linkend="hotcolormap">hotcolormap</link>, <link linkend="jetcolormap">jetcolormap</link> and  <link linkend="graycolormap">graycolormap</link> 
    provide colormaps with continuous variation of the colors.</para>
    <para>
    You can get the default colormap by <literal>cmap=get(sdf(),"color_map")</literal>.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
n=64;
r=linspace(0,1,n)';
g=linspace(1,0,n)';
b=ones(r);
cmap=[r g b];
f=gcf(); f.color_map=cmap;
plot3d1()
f.color_map=get(sdf(),"color_map");
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="autumncolormap">autumncolormap</link>
      </member>
      <member>
        <link linkend="bonecolormap">bonecolormap</link>
      </member>
      <member>
        <link linkend="coolcolormap">coolcolormap</link>
      </member>
      <member>
        <link linkend="coppercolormap">coppercolormap</link>
      </member>
      <member>
        <link linkend="graycolormap">graycolormap</link>
      </member>
      <member>
        <link linkend="hotcolormap">hotcolormap</link>
      </member>
      <member>
        <link linkend="hsvcolormap">hsvcolormap</link>
      </member>
      <member>
        <link linkend="jetcolormap">jetcolormap</link>
      </member>
      <member>
        <link linkend="oceancolormap">oceancolormap</link>
      </member>
      <member>
        <link linkend="pinkcolormap">pinkcolormap</link>
      </member>
      <member>
        <link linkend="rainbowcolormap">rainbowcolormap</link>
      </member>
      <member>
        <link linkend="springcolormap">springcolormap</link>
      </member>
      <member>
        <link linkend="summercolormap">summercolormap</link>
      </member>
      <member>
        <link linkend="whitecolormap">whitecolormap</link>
      </member>
      <member>
        <link linkend="wintercolormap">wintercolormap</link>
      </member>
      <member>
        <link linkend="color">color</link>
      </member>
      <member>
        <link linkend="getcolor">getcolor</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
